libdigest-perl_1.17-1_all.deb


Advertisement

Description

libdigest-perl - generic interface to message digest modules

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libdigest-perl
Package version: 1.17
Package release: 1
Package architecture: all
Package type: deb
Installed size: 29 B
Download size: 20.25 KB
Official Mirror: ftp.br.debian.org
This is a simple frontend module for autoloading various Digest::* modules. It also provides documentation of the interface that all Digest::* modules should provide.

Alternatives

Requires

    Download

    Source package: libdigest-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libdigest-perl deb package:
      # sudo apt-get install libdigest-perl

    Files

    • /usr/share/doc/libdigest-perl/changelog.Debian.gz
    • /usr/share/doc/libdigest-perl/changelog.gz
    • /usr/share/doc/libdigest-perl/copyright
    • /usr/share/man/man3/Digest.3pm.gz
    • /usr/share/man/man3/Digest::base.3pm.gz
    • /usr/share/man/man3/Digest::file.3pm.gz
    • /usr/share/perl5/Digest.pm
    • /usr/share/perl5/Digest/base.pm
    • /usr/share/perl5/Digest/file.pm

    Changelog

    2011-10-02 - Ansgar Burchardt <ansgar@debian.org> libdigest-perl (1.17-1) unstable; urgency=high * Team upload. * New upstream release. + Upload with high urgency as a security fix is included. * Use source format 3.0 (quilt). * debian/copyright: Formatting changes. * Use tiny debian/rules with debhelper 8. * Make build-dep on perl unversioned. * Drop (build-)dep on libdigest-md5-perl | perl (>= 5.8). * debian/control: Convert Vcs-* fields to Git. * Bumped Standards-Version to 3.9.2.

    2009-06-10 - Nathan Handler <nhandler@ubuntu.com> libdigest-perl (1.16-1) unstable; urgency=low [ gregor herrmann ] * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field (source stanza); Homepage field (source stanza). Removed: XS- Vcs-Svn fields. * debian/watch: use dist-based URL. * debian/control: Changed: Switched Vcs-Browser field to ViewSVN (source stanza). * debian/control: Added: ${misc:Depends} to Depends: field. [ Nathan Handler ] * debian/watch: - Update to ignore development releases. * debian/copyright: - Update to new format * debian/rules: - Update to use newer debhelper * debian/control: - Add myself to list of Uploaders - Bump Standards-Version to 3.8.1 - Build-Depend on debhelper (>= 7.0) * debian/compat: - Bump to 7 [ gregor herrmann ] * debian/copyright: add more contributors to the debian/* copyright. * debian/control: remove duplicate fields from binary package stanza, thanks lintian.

    2006-09-21 - Gunnar Wolf <gwolf@debian.org> libdigest-perl (1.15-2) unstable; urgency=low * Fixed debian/watch, as it was too ambitious

    2006-06-29 - Zak B. Elep <zakame@spunge.org> libdigest-perl (1.15-1) unstable; urgency=low * New upstream release (Closes: #329531) * New maintainer (in response to Matthias' mail, see http://lists.debian.org/debian-devel/2006/05/msg02947.html) Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org> via Zak B. Elep <zakame@spunge.org> * debian/control: + Bump Standards-Version . + Move debhelper to Build-Depends and bump version to (> 5.0) . Update debian/compat accordingly. * debian/copyright: + Update maintenance notes. * debian/watch: + Tighten watch regex, as previous regex inadvertently matches Digest::Whirlpool tarball :/

    2005-04-14 - Matthias Urlichs <smurf@debian.org> libdigest-perl (1.10-1) unstable; urgency=low * New Upstream version. Closes: #303593. * Updated watch file.

    2004-10-02 - Matthias Urlichs <smurf@debian.org> libdigest-perl (1.08-2) unstable; urgency=low * New maintainer. Closes: #274128. * Fixed spelling errors in the description. * Fixed dependency on debhelper (>=4.0). * Added debian/watch file.

    2004-08-02 - Michael Alan Dorman <mdorman@debian.org> libdigest-perl (1.08-1) unstable; urgency=low * New upstream version. * Update for later standards.

    2003-08-15 - Michael Alan Dorman <mdorman@debian.org> libdigest-perl (1.00-3) unstable; urgency=low * Fix override disparity.

    2003-08-15 - Michael Alan Dorman <mdorman@debian.org> libdigest-perl (1.00-2) unstable; urgency=low * Correct lack of references to licenses. (closes: bug#157576)

    2001-04-18 - Michael Alan Dorman <mdorman@debian.org> libdigest-perl (1.00-1) unstable; urgency=low * Initial debianization.

    Advertisement
    Advertisement